Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.clearspace
Enum ClearspaceMUCTranscriptEvent.Type

    java.lang.Object
      java.lang.Enum<ClearspaceMUCTranscriptEvent.Type>
          org.jivesoftware.openfire.clearspace.ClearspaceMUCTranscriptEvent.Type

All Implemented Interfaces:
  Serializable, Comparable<ClearspaceMUCTranscriptEvent.Type>

Enclosing class:
  ClearspaceMUCTranscriptEvent

    public static enum ClearspaceMUCTranscriptEvent.Type

extends Enum<ClearspaceMUCTranscriptEvent.Type>

Enum Constant Summary
`messageReceived` Event triggered when a room occupant sent a message to a room.
`occupantJoined` Event triggered when a new occupant joins a room.
`occupantLeft` Event triggered when an occupant left a room.
`roomDestroyed` Event triggered when a room was destroyed.
`roomSubjectChanged` Event triggered when a room's subject has changed.

Method Summary
`static ClearspaceMUCTranscriptEvent.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ClearspaceMUCTranscriptEvent.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### roomDestroyed

    public static final ClearspaceMUCTranscriptEvent.Type roomDestroyed

  Event triggered when a room was destroyed.

### occupantJoined

    public static final ClearspaceMUCTranscriptEvent.Type occupantJoined

  Event triggered when a new occupant joins a room.

### occupantLeft

    public static final ClearspaceMUCTranscriptEvent.Type occupantLeft

  Event triggered when an occupant left a room.

### messageReceived

    public static final ClearspaceMUCTranscriptEvent.Type messageReceived

  Event triggered when a room occupant sent a message to a room.

### roomSubjectChanged

    public static final ClearspaceMUCTranscriptEvent.Type roomSubjectChanged

  Event triggered when a room's subject has changed.

Method Detail

### values

    public static final ClearspaceMUCTranscriptEvent.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ClearspaceMUCTranscriptEvent.Type c : ClearspaceMUCTranscriptEvent.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ClearspaceMUCTranscriptEvent.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.